title: fmp_balance_sheet_statement_transformation
description: Transformation rules for FMP Balance Sheet Statement dataset
version: 1.0.0
rename:
  date: date
  symbol: symbol
  reportedCurrency: reported_currency
  cik: cik
  fillingDate: filling_date
  acceptedDate: accepted_date
  calendarYear: calendar_year
  period: period
  cashAndCashEquivalents: cash_and_cash_equivalents
  shortTermInvestments: short_term_investments
  cashAndShortTermInvestments: cash_and_short_term_investments
  netReceivables: net_receivables
  inventory: inventory
  otherCurrentAssets: other_current_assets
  totalCurrentAssets: total_current_assets
  propertyPlantEquipmentNet: property_plant_equipment_net
  goodwill: goodwill
  intangibleAssets: intangible_assets
  goodwillAndIntangibleAssets: goodwill_and_intangible_assets
  longTermInvestments: long_term_investments
  taxAssets: tax_assets
  otherNonCurrentAssets: other_non_current_assets
  totalNonCurrentAssets: total_non_current_assets
  otherAssets: other_assets
  totalAssets: total_assets
  accountPayables: account_payables
  shortTermDebt: short_term_debt
  taxPayables: tax_payables
  deferredRevenue: deferred_revenue
  otherCurrentLiabilities: other_current_liabilities
  totalCurrentLiabilities: total_current_liabilities
  longTermDebt: long_term_debt
  deferredRevenueNonCurrent: deferred_revenue_non_current
  deferredTaxLiabilitiesNonCurrent: deferred_tax_liabilities_non_current
  otherNonCurrentLiabilities: other_non_current_liabilities
  totalNonCurrentLiabilities: total_non_current_liabilities
  otherLiabilities: other_liabilities
  capitalLeaseObligations: capital_lease_obligations
  totalLiabilities: total_liabilities
  preferredStock: preferred_stock
  commonStock: common_stock
  retainedEarnings: retained_earnings
  accumulatedOtherComprehensiveIncomeLoss: accumulated_other_comprehensive_income_loss
  othertotalStockholdersEquity: other_total_stockholders_equity
  totalStockholdersEquity: total_stockholders_equity
  totalEquity: total_equity
  totalLiabilitiesAndStockholdersEquity: total_liabilities_and_stockholders_equity
  minorityInterest: minority_interest
  totalLiabilitiesAndTotalEquity: total_liabilities_and_total_equity
  totalInvestments: total_investments
  totalDebt: total_debt
  netDebt: net_debt
  link: link
  finalLink: final_link
